Subject: [PATCH v2] ASoC: omap: convert per-board modules to platform drivers

From: [email-masked] (Mark Brown)
Date: Fri, 9 Sep 2011 09:11:52 -0700

On Fri, Sep 09, 2011 at 10:41:56AM +0100, Russell King - ARM Linux wrote:
> On Thu, Sep 08, 2011 at 04:59:04PM -0700, Mark Brown wrote:

> > The problem is that someone has to manually go and add the device to
> > every board that needs one and people find that tedious and slightly
> > inelegant

> Sheesh.  So now you're arguing against your statement above?  Please
> stop wasting my time.

There's two things going on here - what we are doing and what people
would like to be able to do.  What we are doing is explicitly adding
devices, what people would like to do is infer the devices from the
board type.  Personally I'm totally happy with explicitly adding an
audio device, but not everyone is and I do understand where they're
coming from.